<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:param name="responses"/>
<xsl:variable name="data" select="$responses/responses"/>

<xsl:param name="section"/>
<xsl:variable name="sectionVarGrp" select="/ddi:codeBook/ddi:dataDscr/ddi:varGrp[@ID=$section]"/>
	
<xsl:variable name="root" select='/'/>

	<xsl:template name="preQTxt">
		<xsl:param name="var"/>
		<!-- Output pre-question text in a standard way -->
		<xsl:if test="$var/ddi:qstn/ddi:preQTxt">
			<span class="preQText"><xsl:copy-of select="$var/ddi:qstn/ddi:preQTxt/* | $var/ddi:qstn/ddi:preQTxt/text()"/></span>
		</xsl:if>
	</xsl:template>		

	<xsl:template name="QTxt">
		<xsl:param name="var"/>
		
		<!-- Render the question text if supplied, otherwise just the variable label -->
		<span class="QText">
			<xsl:choose>
				<xsl:when test="$var/ddi:qstn/ddi:qstnLit">
					<xsl:apply-templates select="$var/ddi:qstn/ddi:qstnLit"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="$var/ddi:labl"/>
				</xsl:otherwise>
			</xsl:choose>
		</span>
	</xsl:template>

	<xsl:template name="postQTxt">
		<xsl:param name="var"/>
		<!-- Output pre-question text in a standard way -->
		<xsl:if test="$var/ddi:qstn/ddi:postQTxt">
			<span class="postQText"><xsl:copy-of select="$var/ddi:qstn/ddi:postQTxt/* | $var/ddi:qstn/ddi:postQTxt/text()"/></span>
		</xsl:if>
	</xsl:template>		

	<xsl:template match="ddi:emph">
		<em>
			<xsl:apply-templates select="*|text()"/>
		</em>
	</xsl:template>
	
	<xsl:template match="ddi:hi">
		<b>
			<xsl:apply-templates select="*|text()"/>
		</b>
	</xsl:template>

	<xsl:template match="ddi:p">
		<p>
			<xsl:apply-templates select="*|text()"/>
		</p>
	</xsl:template>
	
</xsl:stylesheet>