<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<!-- IMPORTANT: Leave varGeneric.xslt the first imported transform.  Otherwise,
	 any variable output XSLTs above it will not work. -->
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varGeneric.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varFreeResponse.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varSelectOne.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varSelectMany.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varDate.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varGrp.xslt"/>

<!-- template for adding client-side validation -->
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/validator.xslt"/>
<!-- template for adding the hidden hint field for helping the server return user responses -->
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/hintField.xslt"/>

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

<!-- this next line is VERY important, as some browsers such as Mozilla Firebird
	 will fail at client-side validation if the referenced validation script looks like this:
	 <SCRIPT .../> 
	 rather than
	 <SCRIPT ...></SCRIPT>
-->
<xsl:output method="html" /> <!-- DO NOT REMOVE method="html", see above comment -->

	<xsl:template match="/">
		<div class="questionnaire">
			<xsl:if test="/ddi:codeBook/@ID">
				<xsl:attribute name="id"><xsl:value-of select="/ddi:codeBook/@ID"/></xsl:attribute>
			</xsl:if>
			<xsl:call-template name="insertValidationCode"/>
			<xsl:call-template name="insertHintField"><xsl:with-param name="varGrp" select="$sectionVarGrp"/></xsl:call-template>
			<xsl:apply-templates select="$sectionVarGrp"/>
		</div>
	</xsl:template>

</xsl:stylesheet>