<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varGrpGeneric.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varGrpSelectOne.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Evaluation/xslt.html/varGrpSelectMany.xslt"/>

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

	<xsl:template match="ddi:varGrp[@type='section']">
		<h1><xsl:value-of select="ddi:labl"/></h1>
		
			<!-- If this varGrp has a <ddi:txt> tag, send it out to describe this group that is about to start -->
			<xsl:if test="ddi:txt">
				<div class="SectionText">
					<xsl:apply-templates select="ddi:txt/* | ddi:txt/text()"/>
				</div>
			</xsl:if>
			
		<xsl:apply-templates select="@varGrp"/>
	</xsl:template>
	
	<xsl:template match="ddi:varGrp/@varGrp">
		<xsl:variable name="varGrps" select="ExsltStrings:tokenize(.)"/>
		<xsl:for-each select="$varGrps">
			<xsl:apply-templates select="$root/ddi:codeBook/ddi:dataDscr/ddi:varGrp[@ID=current()/text()]"/>
		</xsl:for-each>
	</xsl:template>
	
	<!-- Validation recursion -->
	<xsl:template match="ddi:varGrp[@type='section']" mode="validation">
		<xsl:apply-templates select="@varGrp" mode="validation"/>
	</xsl:template>
	
	<xsl:template match="ddi:varGrp/@varGrp" mode="validation">
		<xsl:variable name="varGrps" select="ExsltStrings:tokenize(.)"/>
		<xsl:for-each select="$varGrps">
			<xsl:apply-templates select="$root/ddi:codeBook/ddi:dataDscr/ddi:varGrp[@ID=current()/text()]"
								 mode="validation"/>
		</xsl:for-each>
	</xsl:template>
	
	<!-- hidden hint field recursion -->
	<xsl:template match="ddi:varGrp[@type='section']" mode="hintField">
		<xsl:apply-templates select="@varGrp" mode="hintField"/>
	</xsl:template>
	
	<xsl:template match="ddi:varGrp/@varGrp" mode="hintField">
		<xsl:variable name="varGrps" select="ExsltStrings:tokenize(.)"/>
		<xsl:for-each select="$varGrps">
			<xsl:apply-templates select="$root/ddi:codeBook/ddi:dataDscr/ddi:varGrp[@ID=current()/text()]"
								 mode="hintField"/>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
