<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:stdext="http://nassess.byu.edu/rendering/evaluation/StandardHtml"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

	<!-- The Select Many group template -->
	<xsl:template match="ddi:varGrp[@type='multipleResp']">
		<!-- Check to make sure that this group should be rendered -->
		<xsl:if test="stdext:IsVarGrpActiveBasedOnData(.)">

		<div class="SelectManyGroup">			
			<xsl:attribute name="id">
				<xsl:value-of select="@ID"/>
			</xsl:attribute>

			<span class="preQText">
				<!-- This is a variable list -->
				<xsl:variable name="vars" select="ExsltStrings:tokenize(@var)"/>
				<xsl:variable name="firstvar" select="$root/ddi:codeBook/ddi:dataDscr/ddi:var[@ID=$vars[1]]"/>
				<xsl:apply-templates select="$firstvar/ddi:qstn/ddi:preQTxt/* | $firstvar/ddi:qstn/ddi:preQTxt/text()"/>
				<!-- This was when we didn't require at least the first question to have its pre-question text set
					 <xsl:apply-templates select="ddi:txt"/> -->
			</span>
			<table class="SelectList">
				<xsl:apply-templates select="@var"/>
			</table>
		</div>
		
		</xsl:if>
	</xsl:template>

	<xsl:template match="ddi:varGrp[@type='multipleResp']/@var">
		<xsl:variable name="thisVarGrp" select=".."/>
		<!-- This is a variable list -->
		<xsl:variable name="vars" select="ExsltStrings:tokenize(.)"/>
		<xsl:variable name="firstvar" select="$root/ddi:codeBook/ddi:dataDscr/ddi:var[@ID=$vars[1]]"/>
		<xsl:for-each select="$vars">
			<xsl:variable name="position" select='position()'/>
			<!-- Output actual variables -->
			<xsl:apply-templates 
					 select="$root/ddi:codeBook/ddi:dataDscr/ddi:var[@ID=current()/text()]"
					 mode="SelectMany">
				<xsl:with-param name="position" select="$position"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
