<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

<xsl:include href="project://NAssess.Core/Engines/Evaluation/xslt.html/global.xslt"/>

	<!-- STANDARD -->
	<xsl:template match="ddi:var[@intrvl='discrete'][ddi:varFormat/@type='numeric']"
		mode="SelectMany">
		<xsl:param name="position"/>
		<xsl:variable name="var" select="."/>

		<span class="Var">
			<xsl:attribute name="id"><xsl:value-of select="@name"/></xsl:attribute>
			<tr>
				<xsl:choose>
					<xsl:when test="$position mod 2 = 1">
						<xsl:attribute name="class">AlternateRow</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="class">Row</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>				

				<!-- We skip the preQTxt for these because it was (presumably) printed at the top of the list. 
				<xsl:call-template name="preQTxt">
					<xsl:with-param name="var" select="."/>
				</xsl:call-template>
				-->
				<td class="input">
					<input type="checkbox" value="1">
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
						<xsl:attribute name="id"><xsl:text>cb_</xsl:text><xsl:value-of select="@name"/></xsl:attribute>
						<xsl:if test="$data/@*[name() = $var/@name]">
							<xsl:attribute name="checked">true</xsl:attribute>
						</xsl:if>
					</input>
				</td>
				<td>
					<label>
						<xsl:attribute name="for"><xsl:text>cb_</xsl:text><xsl:value-of select="@name"/></xsl:attribute>
						<xsl:call-template name="QTxt">
							<xsl:with-param name="var" select="."/>
						</xsl:call-template>
					</label>

					<xsl:call-template name="postQTxt">
						<xsl:with-param name="var" select="."/>
					</xsl:call-template>

					<!-- If there is an associated "other" box, draw it as well. -->
					<xsl:variable name="otherVar" select="../ddi:var[@ID=current()/ddi:codInstr][ddi:varFormat/@category='other']"/>
					<xsl:if test="$otherVar">
						<xsl:apply-templates select="$otherVar"/>
					</xsl:if>
				</td>
			</tr>
		</span>
	</xsl:template>
</xsl:stylesheet>
