using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace NAssess.Core.Engines
{
	public abstract class PdfRenderingEngine : RenderingEngine
	{
		public override Target RenderTarget
		{
			get { return Target.Pdf; }
		}

		public abstract void ToPdf(Stream outStream, bool monochrome);
		public virtual Stream ToPdf(bool monochrome)
		{
			// Prepare stream to store resulting FO
			MemoryStream pdfStream = new MemoryStream(150 * 1024); // start out at 150K

			ToPdf(pdfStream, monochrome);

			pdfStream.Position = 0; // reset to start of stream
			return pdfStream;
		}
	}
}
