<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi">

	<xsl:attribute-set name="preQTxt">
		<xsl:attribute name="space-after">2mm</xsl:attribute>
		<xsl:attribute name="keep-with-next.within-column">always</xsl:attribute>
		<xsl:attribute name="keep-together.within-column">always</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="QTxt">
		<xsl:attribute name="space-before">2mm</xsl:attribute>
		<xsl:attribute name="keep-together.within-column">always</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="postQTxt">
		<xsl:attribute name="space-after">2mm</xsl:attribute>
		<xsl:attribute name="keep-with-previous.within-column">always</xsl:attribute>
		<xsl:attribute name="keep-together.within-column">always</xsl:attribute>
	</xsl:attribute-set>

	<xsl:param name='defaultFontSize' select='12'/>
	<xsl:param name="questionnaire-title" select="/ddi:codeBook/@ID"/>

	<xsl:variable name="root" select='/ddi:codeBook'/>

	<xsl:template name="preQTxt">
		<xsl:param name="var"/>
		<!-- Output pre-question text in a standard way -->
		<xsl:if test="$var/ddi:qstn/ddi:preQTxt">
			<fo:block xsl:use-attribute-sets="preQTxt">
				<xsl:apply-templates select="$var/ddi:qstn/ddi:preQTxt/* | $var/ddi:qstn/ddi:preQTxt/text()"/>
			</fo:block>
		</xsl:if>
	</xsl:template>

	<xsl:template name="QTxt">
		<xsl:param name="var"/>

		<!-- Render the question text if supplied, otherwise just the variable label -->
		<fo:block xsl:use-attribute-sets="QTxt">
			<xsl:choose>
				<xsl:when test="$var/ddi:qstn/ddi:qstnLit">
					<xsl:apply-templates select="$var/ddi:qstn/ddi:qstnLit"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="$var/ddi:labl"/>
				</xsl:otherwise>
			</xsl:choose>
		</fo:block>
	</xsl:template>

	<xsl:template name="postQTxt">
		<xsl:param name="var"/>
		<!-- Output pre-question text in a standard way -->
		<xsl:if test="$var/ddi:qstn/ddi:postQTxt">
			<fo:block xsl:use-attribute-sets="postQTxt">
				<xsl:copy-of select="$var/ddi:qstn/ddi:postQTxt/* | $var/ddi:qstn/ddi:postQTxt/text()"/>
			</fo:block>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
