<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<xsl:attribute-set name="TitleStyle">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="space-before">1in</xsl:attribute>
		<xsl:attribute name="font-family">Arial Black</xsl:attribute>
		<xsl:attribute name="font-size">24pt</xsl:attribute>
		<xsl:attribute name="letter-spacing">2mm</xsl:attribute>
		<xsl:attribute name="break-before">page</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="Heading">
		<xsl:attribute name="font-family">Tahoma, MS Sans Serif, Trebuchet MS, Verdana, Tahoma, Arial, Helvetica, Sans-Serif</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">16pt</xsl:attribute>
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="space-before">0.4in</xsl:attribute>
	</xsl:attribute-set>

	<xsl:template name="Introduction">
		<xsl:if test="$introduction != ''">
			<fo:block xsl:use-attribute-sets="TitleStyle">
				<xsl:value-of select="$questionnaire-title"/>
			</fo:block>

			<fo:block xsl:use-attribute-sets="Heading">
				<xsl:value-of select="culture:GetResourceStringXSLT('Introduction')"/>
			</fo:block>
			<fo:block>
				<xsl:apply-templates select="$introduction/* | $introduction/text()"/>
			</fo:block>
		</xsl:if>

	</xsl:template>

</xsl:stylesheet>