<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">


	<xsl:param name="logoUrl"/>

	<xsl:attribute-set name="TitleStyle">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="space-before">1in</xsl:attribute>
		<xsl:attribute name="font-family">Arial Black</xsl:attribute>
		<xsl:attribute name="font-size">24pt</xsl:attribute>
		<xsl:attribute name="letter-spacing">2mm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="LogoStyle">
		<xsl:attribute name="space-before">0.5in</xsl:attribute>
		<xsl:attribute name="space-after">0.5in</xsl:attribute>
		<xsl:attribute name="text-align">center</xsl:attribute>
	</xsl:attribute-set>

	<xsl:template name="RenderTitlePage">
		<!-- Render title page -->
		<fo:block xsl:use-attribute-sets="TitleStyle">
			<!-- print the title of the questionnaire -->
			<xsl:value-of select="$questionnaire-title"/>
		</fo:block>

		<xsl:if test="$logoUrl">
			<fo:block xsl:use-attribute-sets="LogoStyle">
				<fo:external-graphic src="url({$logoUrl})"/>
			</fo:block>
		</xsl:if>

		<fo:block text-align="center">
			Copyright (C) 2000-2005
		</fo:block>

	</xsl:template>

</xsl:stylesheet>