<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<xsl:variable name="TextInputToTextAreaThreshold" select="'22'"/>

	<xsl:attribute-set name="FreeResponse">
		<xsl:attribute name="space-before.minimum">5mm</xsl:attribute>
		<xsl:attribute name="space-after.minimum">5mm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="FreeResponseBox">
		<xsl:attribute name="border-style">solid</xsl:attribute>
		<xsl:attribute name="border-width">1pt</xsl:attribute>
		<xsl:attribute name="keep-with-previous.within-column">always</xsl:attribute>
	</xsl:attribute-set>
	<xsl:attribute-set name="AllowedValues">

	</xsl:attribute-set>

	<xsl:template match="ddi:var[ddi:varFormat/@type='character' or ddi:varFormat/@type='numeric'][not(ddi:varFormat/@category='date')][not(ddi:catgry)]">
		<xsl:variable name="var" select="."/>
		
		<fo:block xsl:use-attribute-sets="FreeResponse">
			<xsl:call-template name="preQTxt">
				<xsl:with-param name="var" select="."/>
			</xsl:call-template>
			<xsl:call-template name="QTxt">
				<xsl:with-param name="var" select="."/>
			</xsl:call-template>

			<fo:block xsl:use-attribute-sets="FreeResponseBox">
				<xsl:attribute name="width">
					<xsl:choose>
						<xsl:when test="ddi:location/@width > $TextInputToTextAreaThreshold">
							<xsl:value-of select="$TextInputToTextAreaThreshold * .10"/>
							<xsl:value-of select="'in'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="ddi:location/@width * .10"/>
							<xsl:value-of select="'in'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="padding-top">
					<xsl:value-of select="(round(ddi:location/@width div $TextInputToTextAreaThreshold)+1)*.2"/>
					<xsl:value-of select="'in'"/>
				</xsl:attribute>
			</fo:block>

			<xsl:if test="ddi:valrng/ddi:range/@min or ddi:valrng/ddi:range/@max">
				<fo:block xsl:use-attribute-sets="AllowedValues">
					<xsl:text>(</xsl:text>
					<xsl:if test="ddi:valrng/ddi:range/@min">
						<xsl:value-of select="ddi:valrng/ddi:range/@min"/>
					</xsl:if>
					<xsl:text>-</xsl:text>
					<xsl:if test="ddi:valrng/ddi:range/@max">
						<xsl:value-of select="ddi:valrng/ddi:range/@max"/>
					</xsl:if>
					<xsl:text>)</xsl:text>
				</fo:block>
			</xsl:if>

			<xsl:call-template name="postQTxt">
				<xsl:with-param name="var" select="."/>
			</xsl:call-template>
		</fo:block>
	</xsl:template>

</xsl:stylesheet>