<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<!--<xsl:import href="project://NAssess.Core/Engines/Questionnaire/xslt.fo/varGrpGeneric.xslt"/>-->
	<xsl:import href="project://NAssess.Core/Engines/Questionnaire/xslt.fo/varGrpSelectOne.xslt"/>
	<xsl:import href="project://NAssess.Core/Engines/Questionnaire/xslt.fo/varGrpSelectMany.xslt"/>

	<xsl:attribute-set name="SectionTitle">
		<xsl:attribute name="font-family">Tahoma, MS Sans Serif, Trebuchet MS, Verdana, Tahoma, Arial, Helvetica, Sans-Serif</xsl:attribute>
		<xsl:attribute name="font-size">18pt</xsl:attribute>
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="space-after">12pt</xsl:attribute>
		<xsl:attribute name="break-before">column</xsl:attribute>
	</xsl:attribute-set>

	<xsl:template match="ddi:varGrp/ddi:txt">
		<fo:block>
			<xsl:apply-templates select="* | text()"/>
		</fo:block>
	</xsl:template>

	<xsl:template match="ddi:varGrp[@type='section']">
		<fo:block xsl:use-attribute-sets="SectionTitle">
			<xsl:value-of select="ddi:labl"/>
		</fo:block>
		<xsl:apply-templates select="ddi:txt"/>

		<xsl:apply-templates select="@varGrp"/>
	</xsl:template>

	<xsl:template match="ddi:varGrp[@type='subject'][@var]">
		<fo:block>
			<xsl:apply-templates select="ddi:txt"/>

			<fo:block start-indent=".1in">
				<xsl:apply-templates select="@var"/>
			</fo:block>
		</fo:block>
	</xsl:template>

</xsl:stylesheet>
