<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:stdext="http://nassess.byu.edu/rendering/evaluation/StandardHtml"
				exclude-result-prefixes="ExsltStrings xsl ddi">

	<xsl:attribute-set name="SelectManyGroup">
		<xsl:attribute name="space-before.minimum">5mm</xsl:attribute>
		<xsl:attribute name="space-after.minimum">5mm</xsl:attribute>
	</xsl:attribute-set>

	<!-- The Select Many group template -->
	<xsl:template match="ddi:varGrp[@type='multipleResp']">
		<fo:block xsl:use-attribute-sets="SelectManyGroup">
			<!-- This is a variable list -->
			<xsl:variable name="vars" select="ExsltStrings:tokenize(@var)"/>
			<xsl:variable name="firstvar" select="$root/ddi:dataDscr/ddi:var[@ID=$vars[1]]"/>
			<xsl:call-template name="preQTxt">
				<xsl:with-param name="var" select="$firstvar"/>
			</xsl:call-template>
			<fo:table>
				<fo:table-body>
					<xsl:apply-templates select="@var"/>
				</fo:table-body>
			</fo:table>
		</fo:block>
	</xsl:template>

	<xsl:template match="ddi:varGrp[@type='multipleResp']/@var">
		<!-- This is a variable list -->
		<xsl:variable name="vars" select="ExsltStrings:tokenize(.)"/>
		<xsl:variable name="firstvar" select="$root/ddi:dataDscr/ddi:var[@ID=$vars[1]]"/>
		<xsl:for-each select="$vars">
			<xsl:variable name="position" select='position()'/>
			<!-- Output actual variables -->
			<xsl:apply-templates 
					 select="$root/ddi:dataDscr/ddi:var[@ID=current()/text()]"
					 mode="SelectMany">
				<xsl:with-param name="position" select="$position"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
