<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<xsl:param name="alternatingRowColor" select="'#eeffee'"/>
	<!-- The attributes to define a check box -->
	<xsl:attribute-set name="CheckBox">
		<xsl:attribute name="border-style">solid</xsl:attribute>
		<xsl:attribute name="border-width">1pt</xsl:attribute>
		<xsl:attribute name="width">4mm</xsl:attribute>
	</xsl:attribute-set>

	<!-- STANDARD -->
	<xsl:template match="ddi:var[@intrvl='discrete'][ddi:varFormat/@type='numeric']"
		mode="SelectMany">
		<xsl:param name="position"/>
		<xsl:variable name="var" select="."/>

		<fo:table-row padding-before="0.5mm" padding-after="0.5mm">
			<xsl:if test="$position mod 2 = 1">
				<xsl:attribute name="background-color">
					<xsl:value-of select="$alternatingRowColor"/>
				</xsl:attribute>
			</xsl:if>
			<fo:table-cell>
				<fo:block>
					<fo:inline xsl:use-attribute-sets="CheckBox">
					</fo:inline>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block keep-together.within-line="always">
					<fo:block keep-with-previous.within-line="always">
						<xsl:call-template name="QTxt">
							<xsl:with-param name="var" select="."/>
						</xsl:call-template>
					</fo:block>
				</fo:block>
				<xsl:call-template name="postQTxt">
					<xsl:with-param name="var" select="."/>
				</xsl:call-template>
				<!-- If there is an associated "other" box, draw it as well. -->
				<xsl:variable name="otherVar" select="../ddi:var[@ID=current()/ddi:codInstr][ddi:varFormat/@category='other']"/>
				<xsl:if test="$otherVar">
					<xsl:apply-templates select="$otherVar"/>
				</xsl:if>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>
