<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi culture">

	<xsl:import href="project://NAssess.Core/Engines/Questionnaire/xslt.fo/global.xslt" />

	<xsl:template match="ddi:varGrp/@varGrp">
		<xsl:variable name="varGrps" select="ExsltStrings:tokenize(.)"/>
		<xsl:for-each select="$varGrps">
			<xsl:apply-templates select="$root/ddi:dataDscr/ddi:varGrp[@ID=current()/text()]"/>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="ddi:varGrp/@var">
		<xsl:variable name="vars" select="ExsltStrings:tokenize(.)"/>
		<xsl:for-each select="$vars">
			<xsl:apply-templates select="$root/ddi:dataDscr/ddi:var[@ID=current()/text()]"/>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="ddi:varGrp[@type='subject'][@varGrp]">
			<xsl:apply-templates select="@varGrp"/>
	</xsl:template>

</xsl:stylesheet>
