using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace NAssess.Core.Engines.Reporting
{
	public class PluggablePdf : NAssess.Core.Reporting.PdfRenderingEngine
	{
		public PluggablePdf(IFOtoPdfEngine foToPdfEngine)
		{
			if (foToPdfEngine == null) throw new ArgumentNullException("foToPdfEngine");
			FOtoPdfEngine = foToPdfEngine;
		}

		private NAssess.Core.Reporting.Report _report;
		public override NAssess.Core.Reporting.Report Report
		{
			get
			{
				return _report;
			}
			set
			{
				_report = value;
			}
		}

		private IFOtoPdfEngine foToPdfEngine;
		public IFOtoPdfEngine FOtoPdfEngine
		{
			get { return foToPdfEngine; }
			private set { foToPdfEngine = value; }
		}


		public override void ToPdf(Stream outStream, bool monochrome)
		{
			FOtoPdfEngine.PdfStream = outStream;
			Report.FOEngine.ToFO(monochrome, FOtoPdfEngine.Render);
		}
	}
}
