<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl nassess">
				
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt" />
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.fo/global.xslt"/>

<xsl:param name="imagesURL" />
<xsl:param name="imagesWithTextURL" />

	<xsl:template match="nassess:img[@src]">
		<fo:external-graphic>
			<xsl:if test="@height"><xsl:attribute name="content-height"><xsl:value-of select="@height"/>px</xsl:attribute></xsl:if>
			<xsl:if test="@width"><xsl:attribute name="content-width"><xsl:value-of select="@width"/>px</xsl:attribute></xsl:if>
			<xsl:attribute name="src">

				<!-- Some images have text in them.  If this one does, apply the appropriate language -->
				<xsl:choose>
					<xsl:when test="@language='specific'">
						<xsl:value-of select="$imagesWithTextURL"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$imagesURL"/>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:value-of select="@src"/>
			</xsl:attribute>
		</fo:external-graphic>
	</xsl:template>
	
</xsl:stylesheet>
