<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.fo/global.xslt"/>

	<!-- This template is for link targets -->
	<xsl:template match="nassess:link[@id]">
		<fo:block id="{@id}">

			<!-- There may not be any content for this tag, but just in case... -->
			<xsl:apply-templates select="*|text()"/>
		
		</fo:block>
	</xsl:template>

	<!-- This template is for link sources, and only for links within this report.  
		 We don't to outside report links for PDFs. -->
	<xsl:template match="nassess:link[@ref and not(@report)]">
		<xsl:variable name="referrer" select="."/>
		<xsl:variable name="ref" select="@ref"/>
		<xsl:variable name="content" select="text()|*"/>
		<xsl:variable name="TargetPage" select="/nassess:report/nassess:level[descendant::nassess:link[@id=$ref]]"/>

		<fo:basic-link internal-destination="{@ref}">
			<xsl:apply-templates select="$content"/>
			
			<!-- add a page number reference to the text -->
			<xsl:text> (</xsl:text>
			<xsl:value-of select="culture:GetResourceStringXSLT('PageNumber')"/>
			<fo:page-number-citation ref-id="{@ref}"/>
			<xsl:text>)</xsl:text>
		</fo:basic-link>
	</xsl:template>

</xsl:stylesheet>