<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl nassess ddi">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/scale.multibar.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.fo/global.xslt"/>

<xsl:param name="multibarURL"/>

	<xsl:attribute-set name="multibar">
	</xsl:attribute-set>
	
	<xsl:template match="nassess:scale[@type='multibar'][@refid]">
		<xsl:variable name="varGrpScaleID" select="@refid"/>
		<xsl:variable name="varGrpScale" select="$codebook/ddi:dataDscr/ddi:varGrp[@ID=$varGrpScaleID]"/>
		
			<xsl:choose>
				<xsl:when test="$multibarURL">
					<fo:external-graphic xsl:use-attribute-sets="multibar">
						<xsl:if test="@height"><xsl:attribute name="height"><xsl:value-of select="@height"/><xsl:if test="not(substring(@height, string-length(@height))='%')">px</xsl:if></xsl:attribute></xsl:if>
						<xsl:if test="@width"><xsl:attribute name="width"><xsl:value-of select="@width"/><xsl:if test="not(substring(@width, string-length(@width))='%')">px</xsl:if></xsl:attribute></xsl:if>
						<xsl:attribute name="src">
							<xsl:text>url(</xsl:text>
							<xsl:call-template name="GetMultibarURL">
								<xsl:with-param name="varGrpScale" select="$varGrpScale"/>
								<xsl:with-param name="varGrpScaleID" select="$varGrpScaleID"/>
							</xsl:call-template>
							<xsl:text>&amp;width=700&amp;height=450)</xsl:text>
						</xsl:attribute>
					</fo:external-graphic>	
				</xsl:when>
				<xsl:otherwise>
					[No path for bar graph image available.]
					<xsl:comment>Did you forget to provide a WebDirect path?</xsl:comment>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
