<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:fo="http://www.w3.org/1999/XSL/Format"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:xhtml="http://www.w3.org/1999/xhtml" 
				xmlns:culture="http://nassess.byu.edu/culture"
				xmlns:ext="http://nassess.byu.edu/report/extensions"
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.fo/html2fo.xslt" />

<xsl:attribute-set name="TOCtitle" use-attribute-sets="h1">
	<xsl:attribute name="page-break-before">always</xsl:attribute>
	<xsl:attribute name="keep-with-next.within-page">always</xsl:attribute>
</xsl:attribute-set>

	<xsl:template name="RenderTOCPage">
		<fo:block xsl:use-attribute-sets="TOCtitle">
			<xsl:value-of select="culture:GetResourceStringXSLT('TOC')"/>
		</fo:block>
		<xsl:apply-templates select="nassess:level" mode="TOC"/>
	</xsl:template>

	<xsl:template match="nassess:level" mode="TOC">	
		<xsl:variable name="depth">
			<xsl:value-of select="count(ancestor::nassess:level[descendant::*[substring(name(),1,1)='h']])"/>
		</xsl:variable>

		<fo:block text-align-last="justify" text-indent="-{$depth}em" start-indent="{$depth}em">
			<fo:basic-link internal-destination="{@id}">
				<fo:inline padding-start="{$depth}em">
					<xsl:value-of select="(descendant::*[substring(name(),1,1)='h'])[1]/text()"/>
					<fo:leader leader-pattern="dots"/>
					<fo:page-number-citation ref-id="{@id}"/>
				</fo:inline>
			</fo:basic-link>
		</fo:block>
		<xsl:apply-templates select="descendant::nassess:level[descendant::*[substring(name(),1,1)='h']]" mode="TOC"/>
	</xsl:template>

</xsl:stylesheet>
