<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl nassess">
				
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt" />
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/global.xslt"/>

<xsl:param name="imagesURL" />
<xsl:param name="imagesWithTextURL" />

	<xsl:template match="nassess:img[@src]">
		<img>
			<xsl:if test="@alt"><xsl:attribute name="alt"><xsl:value-of select="@alt"/></xsl:attribute></xsl:if>
			<xsl:if test="@height"><xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute></xsl:if>
			<xsl:if test="@width"><xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute></xsl:if>
			<xsl:attribute name="src">

				<!-- Some images have text in them.  If this one does, apply the appropriate language -->
				<xsl:choose>
					<xsl:when test="@language='specific'">
						<xsl:value-of select="$imagesWithTextURL"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$imagesURL"/>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:value-of select="@src"/>
			</xsl:attribute>
		</img>
	</xsl:template>
	
</xsl:stylesheet>
