<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:renderExt="http://nassess.byu.edu/rendering/html"
				exclude-result-prefixes="ExsltStrings xsl nassess renderExt">
				
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt" />
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/global.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/boilerplate.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/if.viewer.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scale.table.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scale.graph.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scale.gradient.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scale.checklist.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scale.multibar.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/img.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/link.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt.html/scaleGroup.xslt"/>

<!-- this next line is VERY important, as some browsers such as Mozilla Firefox
	 will fail at client-side validation if the referenced validation script looks like this:
	 <SCRIPT .../> 
	 rather than
	 <SCRIPT ...></SCRIPT>
-->
<xsl:output method="html"/> <!-- DO NOT REMOVE, see above comment -->

	<xsl:template match="nassess:report">
		<div class="Report">
			
			<!-- Include legend pop up script if there are any pop up legends on this page -->
			<xsl:if test="$toplevel//descendant::nassess:scale[@legend='popup'] or @includePopupScript='true' ">
				<xsl:copy-of select="renderExt:IncludeClientJavaScript('/Engines/Reporting/xslt.html/legendboxscript.js', '?NAssess/NAssess.Core.Engines.Reporting.StandardHtml/GetLegendPopupJS')"/>
			</xsl:if>
			
			<xsl:apply-templates select="$toplevel"/>
		</div>
	</xsl:template>
	
	<xsl:template match="nassess:level">
		<div class="level" id="{@id}">
			<xsl:apply-templates select="text()|*"/>
		</div>
	</xsl:template>
	
</xsl:stylesheet>
