<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:culture="http://nassess.byu.edu/culture"
				exclude-result-prefixes="ExsltStrings xsl nassess ddi">

	<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/imports.xslt"/>

	<xsl:param name="multibarURL"/>
	
	<xsl:template match="nassess:scale[@type='multibar'][@refid]">
		<xsl:variable name="varGrpScaleID" select="@refid"/>
		<xsl:variable name="varGrpScale" select="$codebook/ddi:dataDscr/ddi:varGrp[@ID=$varGrpScaleID]"/>
		<xsl:choose>
			<xsl:when test="$multibarURL">
				<img class="multibar">
					<xsl:attribute name="src">
						<xsl:call-template name="GetMultibarURL">
							<xsl:with-param name="varGrpScale" select="$varGrpScale"/>
							<xsl:with-param name="varGrpScaleID" select="$varGrpScaleID"/>
						</xsl:call-template>
					</xsl:attribute>
				</img>
			</xsl:when>
			<xsl:otherwise>
				[No path for bar graph image available.]
				<xsl:comment>Did you forget to provide a WebDirect path?</xsl:comment>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
