<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl ddi nassess">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>

	<xsl:template match="nassess:ifVar[@participant][@refid][@equals][not(nassess:then)]">
		<!-- @participant can be "any" or some integer representing a specific sequentially numbered participant -->
		<xsl:variable name="participant" select="$participants[position()=current()/@participant or current()/@participant='any']" />
		
		<xsl:if test="$participant/evaluation/responses/@*[name()=current()/@refid] = current()/@equals">
			<xsl:apply-templates select="text() | *"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="nassess:ifVar[@participant][@refid][@equals][nassess:then]">
		<!-- @participant can be "any" or some integer representing a specific sequentially numbered participant -->
		<xsl:variable name="participant" select="$participants[position()=current()/@participant or current()/@participant='any']" />

		<xsl:choose>
			<xsl:when test="$participant/evaluation/responses/@*[name()=current()/@refid] = current()/@equals">
				<xsl:apply-templates select="nassess:then/text()|nassess:then/*"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="nassess:else/text()|nassess:else/*"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>