<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				xmlns:culture="http://nassess.byu.edu/culture"
				exclude-result-prefixes="ExsltStrings xsl nassess ddi">

	<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>
	
	<xsl:param name="multibarURL"/>
	
	<xsl:template name="GetMultibarURL">
		<xsl:param name="varGrpScale"/>
		<xsl:param name="varGrpScaleID"/>
		<xsl:param name="scale"/>
		

		<xsl:if test="$multibarURL">
			<xsl:value-of select="$multibarURL"/>
		</xsl:if>
			<xsl:text>title=</xsl:text>
			<xsl:value-of select="ExsltStrings:URLEncode(normalize-space($varGrpScale/ddi:labl))"/>

			<xsl:for-each select="$participants">
				<xsl:choose>
					<xsl:when test="position() >1">
						<xsl:text>&amp;name2=</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>&amp;name1=</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="@FriendlyName"/>
			</xsl:for-each>

			<xsl:text>&amp;labels=</xsl:text>
			<xsl:value-of select="culture:GetResourceStringXSLT('ccChallenge')"/>
			<xsl:text>&amp;labels=</xsl:text>
			<xsl:value-of select="culture:GetResourceStringXSLT('ccNeutral')"/>
			<xsl:text>&amp;labels=</xsl:text>
			<xsl:value-of select="culture:GetResourceStringXSLT('ccStrength')"/>


			<xsl:variable name="itemIDs" select="ExsltStrings:tokenize($varGrpScale/@varGrp,' ')"/>
			<xsl:variable name="items" select="$codebook/ddi:dataDscr/ddi:varGrp[@ID=$itemIDs]"/>
			<xsl:for-each select="$itemIDs">
				<xsl:variable name="item" select="$items[@ID = current()]"/>
				<xsl:text>&amp;scales=</xsl:text>
				<xsl:apply-templates select="$item/ddi:labl"/>
				<xsl:for-each select="$participants">

					<xsl:variable name="value">
						<xsl:call-template name="GetScaleValue">
							<xsl:with-param name="participant" select="current()"/>
							<xsl:with-param name="scaleName" select="$item/@ID"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:choose>
						<xsl:when test="position() >1">
							<xsl:text>&amp;data2=</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>&amp;data1=</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:value-of select="$value"/>
				</xsl:for-each>
			</xsl:for-each>





			
	</xsl:template>

</xsl:stylesheet>
