<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:nassess="http://nassess.byu.edu/report"
				xmlns:ddi="http://www.icpsr.umich.edu/DDI"
				xmlns="http://www.w3.org/1999/xhtml" 
				xmlns:ExsltStrings="http://fhss.byu.edu/exslt/strings"
				exclude-result-prefixes="ExsltStrings xsl nassess ddi">

<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/global.xslt"/>
<xsl:import href="project://NAssess.Core/Engines/Reporting/xslt/value.xslt"/>

	<xsl:template match="nassess:scale[@type='value'][@refid]">
		<xsl:variable name="scaleID" select="@refid"/>
		
		<xsl:call-template name="GetScaleValue">
			<xsl:with-param name="scaleName" select="$scaleID"/>
			<xsl:with-param name="participant" select="$participants[position() = current()/@participant]"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="GetScaleValue">
		<xsl:param name="participant" select="$participants[1]" />
		<xsl:param name="scaleName"/>
		
		<xsl:value-of select="number($participant/evaluation/scales/@*[name() = $scaleName])"/>
	</xsl:template>
	
</xsl:stylesheet>
