using System;
using System.Collections.Generic;
using System.Text;

using Iesi.Collections;
using MyNHibernateContrib;

namespace NAssess.Core.FollowUp
{
	/// <summary>
	/// Represents a specific Amazon Certificate.
	/// </summary>
	public class AmazonIncentive : DigitalIncentive
	{
		private string code;
		private DateTime expirationDate;
		private DateTime purchaseDate;

		/// <summary>
		/// The Amazon certificate code
		/// </summary>
		public string Code
		{
			get { return code; }
			set { code = value; }
		}

		/// <summary>
		/// The last day that this Amazon certificate is honored by Amazon.com
		/// </summary>
		public DateTime ExpirationDate
		{
			get { return expirationDate; }
			set { expirationDate = value; }
		}

		/// <summary>
		/// The day that this Amazon certificate was purchased from Amazon.com
		/// </summary>
		public DateTime PurchaseDate
		{
			get { return purchaseDate; }
			set { purchaseDate = value; }
		}

		private decimal value;
		/// <summary>
		/// The monetary worth of this Amazon certificate.
		/// </summary>
		public override decimal Value
		{
			get { return this.value; }
			set { this.value = value; }
		}

		public override string ToString()
		{
			return Code;
		}
	}
}
