using System;
using System.Collections.Generic;
using System.Text;

using Iesi.Collections;
using MyNHibernateContrib.TwoWayCollections;

namespace NAssess.Core.FollowUp
{
	public class IncentiveEmail : Email,
		IReferenceableParent<IncentiveCollection, IncentiveEmail>
	{
		private ISet incentivePoolsSet;
		/// <summary>
		/// The NHibernate <see cref="ISet"/> that backs the <see cref="IncentivePools"/> collection.
		/// </summary>
		protected ISet IncentivePoolsSet
		{
			get
			{
				if (incentivePoolsSet == null) incentivePoolsSet = new Iesi.Collections.HashedSet();
				return incentivePoolsSet;
			}
			set
			{
				incentivePoolsSet = value;
				incentivePools = null;
			}
		}

		private TwoWaySet<IncentiveCollection, IncentiveEmail> incentivePools;
		/// <summary>
		/// A set of IncentivePools.
		/// </summary>
		public TwoWaySet<IncentiveCollection, IncentiveEmail> IncentivePools
		{
			get
			{
				if (incentivePools == null)
					incentivePools = new TwoWaySet<IncentiveCollection, IncentiveEmail>(this, IncentivePoolsSet);
				return incentivePools;
			}
		}
				
		#region IReferenceableParent<IncentivePool,IncentiveEmail> Members

		ITwoWayCollection<IncentiveCollection, IncentiveEmail> IReferenceableParent<IncentiveCollection, IncentiveEmail>.ContainingCollection
		{
			get { return IncentivePools; }
		}

		#endregion
	}
}
