using System;
using System.Collections.Generic;
using System.Text;

namespace NAssess.Core.FollowUp
{
	public class StockProduct
	{
		private int id;

		public int Id
		{
			get { return id; }
			set { id = value; }
		}

		/// <summary>
		/// The name of this product.
		/// </summary>
		private string name;

		public string Name
		{
			get { return name; }
			set { name = value; }
		}
		/// <summary>
		/// The total number of this product ever purchased.
		/// </summary>
		private int quantityPurchased;

		public int QuantityPurchased
		{
			get { return quantityPurchased; }
			set
			{
				if (value < 0) throw new ArgumentOutOfRangeException("QuantityPurchased", value, Resources.NonNegativeNumberRequired);
				quantityPurchased = value;
			}
		}

		/// <summary>
		/// Gets the number of unassigned copies of this product.
		/// </summary>
		public int QuantityAvailable
		{
			get
			{
				throw new System.NotImplementedException();
			}
		}

		/// <summary>
		/// Tests whether this and another object are equal in a way that 
		/// will still pass when proxy objects are being used.
		/// </summary>
		public override bool Equals(object obj)
		{
			StockProduct other = obj as StockProduct;
			if (other == null) return false;
			if (Id == 0 && other.Id == 0)
				return (object)this == other;
			else
				return Id == other.Id;
		}

		public override int GetHashCode()
		{
			if (Id == 0) return base.GetHashCode();
			string stringRepresentation =
				System.Reflection.MethodBase.GetCurrentMethod().DeclaringType.FullName
				+ "#" + Id.ToString();
			return stringRepresentation.GetHashCode();
		}

				
	}
}
