using System;
using System.Collections.Generic;
using System.Text;
using System.Net.Mail;

using NAssess.Core.Reporting;
using NAssess.Core.Evaluating;
using NAssess.Core.FollowUp;

namespace NAssess.Core
{
	public interface INAssessManager
	{
		Assessment GetAssessment(int assessmentId);
		Evaluation GetEvaluation(int evaluationId);
		IEnumerable<Evaluation> GetDataSetEvaluations(int questionnaireId);
		void SaveEvaluation(Evaluation evaluation);
		IEnumerable<Study> GetStudies();
		Incentive FindUnassignedIncentive(IncentiveCollection incentivePool);
		MailAddress GetMailAddressFor(EventTracker eventTracker);
	}
}
