using System;

namespace NAssess.Core.Web
{
	/// <summary>
	/// A standard gray box to represent a custom control in the 
	/// Visual Studio Designer.
	/// </summary>
	/// <remarks>
	/// This class allows for the 
	/// <see cref="EvaluationArea"/> and <see cref="ReportArea"/> custom
	/// controls to be displayed in the design-time designer as the 
	/// standard gray box, since at design-time these controls really have
	/// nothing relevant to render.
	/// </remarks>
	public class AreaDesigner : System.Web.UI.Design.ControlDesigner
	{
		/// <summary>
		/// Creates a new instance of the <see cref="AreaDesigner"/>.
		/// </summary>
		public AreaDesigner()
		{
		}

		/// <summary>
		/// Overrides <see cref="System.Web.UI.Design.ControlDesigner.GetDesignTimeHtml()"/>.
		/// </summary>
		public override string GetDesignTimeHtml() 
		{
			return this.CreatePlaceHolderDesignTimeHtml();
		}
	}
}
