﻿using System;
using System.Diagnostics;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using NAssess.Core.Evaluating;
using NAssess.Core.FollowUp;

namespace TestNAssess.FollowUp
{
	/// <summary>
	///This is a test class for NAssess.Core.FollowUp.EvaluationTracker and is intended
	///to contain all NAssess.Core.FollowUp.EvaluationTracker Unit Tests
	///</summary>
	[TestClass()]
	public class EvaluationTrackerTest : TestBase
	{
		[TestMethod]
		public void EvaluationTrackerPersistenceTest()
		{
			EvaluationTracker et = new EvaluationTracker();
			et.IsClosed = true;

			Evaluation e = new Evaluation();
			e.FollowUps.Add(et);
			Assert.AreSame(e, et.Evaluation);
			StudyEvent se = new StudyEvent();
			EventTracker evtT = new EventTracker(se);
			et.TrackedEvents.Add(evtT);

			mgr.Save(et);
            NAssessDbMgr.EndSession();

			EvaluationTracker et2 = NAssessDbMgr.Get<EvaluationTracker>(et.Id);
			Debug.Assert((object)et != (object)et2, "Test no good if they are the same object.");
			Assert.AreEqual(et.Id, et2.Id);
			Assert.AreEqual(et.IsClosed, et2.IsClosed);

			Assert.AreEqual(et.TrackedEvents.Count, et2.TrackedEvents.Count);
			Assert.AreEqual(et.TrackedEvents[0].Id, et2.TrackedEvents[0].Id);

			Assert.AreEqual(et.Evaluation.Id, et2.Evaluation.Id);
		}
	}
}
