using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

using NAssess.Core.Evaluating;
using NAssess.Core.FollowUp;
using NerdBank.Tools;

namespace TestNAssess.FollowUp
{
	class FollowUpTestHelper
	{
		private static int studycounter = 0;
		public static Study CreateConfiguration()
		{
			Study testStudy = new FollowUpStudy();
			testStudy.Name = "some test study " + (studycounter++).ToString();

			StudyEvent se = new StudyEvent();
			se.Questionnaire = CreateFollowUpQuestionnaire(1);
			se.ScheduleFrom = ScheduleFrom.LastCompletedEvent;
			se.WaitTime = TimeSpan.FromDays(14);
			se.MaxInvites = 3;
			InvitationEmail email = new InvitationEmail();
			email.From = new System.Net.Mail.MailAddress("donotreply@byu.edu", "Unit test");
			email.Body = "{0}, this is a simple unit test email.\n{1}";
			email.Subject = "Unit test email";
			testStudy.Events.Add(se);
			se.Study.InvitationEmails["only"] = email;

			se = new StudyEvent();
			se.Questionnaire = CreateFollowUpQuestionnaire(2);
			se.Repeats = 3;
			se.MaxInvites = 3;
			testStudy.Events.Add(se);

			se = new StudyEvent();
			se.Questionnaire = CreateFollowUpQuestionnaire(2);
			se.MaxInvites = 3;
			se.WaitTime = TimeSpan.FromMinutes(1);
			testStudy.Events.Add(se);

			return testStudy;
		}

		public static Questionnaire CreateFollowUpQuestionnaire(int ordinalName)
		{
			string ddi = EmbeddedResources.LoadFileFromAssemblyWithNamespace("/Evaluating/testddi.xml", TestBase.DefaultNamespace);
			XmlDocument xml = new XmlDocument();
			xml.LoadXml(ddi);
			Ddi codebook = new Ddi(xml);

			Questionnaire q = new Questionnaire();
			q.Name = "test follow-up questionnaire #" + ordinalName.ToString();
			q.Codebook = codebook;
			return q;
		}
	}

}
