﻿using System;
using System.Diagnostics;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using NAssess.Core.FollowUp;

namespace TestNAssess.FollowUp
{
	/// <summary>
	///This is a test class for NAssess.Core.FollowUp.StockProduct and is intended
	///to contain all NAssess.Core.FollowUp.StockProduct Unit Tests
	///</summary>
	[TestClass()]
	public class StockProductTest : TestBase
	{
		/// <summary>
		///A test case for QuantityPurchased
		///</summary>
		[TestMethod()]
		public void QuantityPurchasedTest()
		{
			StockProduct target = new StockProduct();
			int val = 5;
			target.QuantityPurchased = val;
			Assert.AreEqual(val, target.QuantityPurchased, "NAssess.Core.FollowUp.StockProduct.QuantityPurchased was not set correctly.");
		}

		[TestMethod()]
		[ExpectedException(typeof(ArgumentOutOfRangeException))]
		public void QuantityPurchasedOutOfRangeTest()
		{
			StockProduct target = new StockProduct();
			target.QuantityPurchased = -1;
		}

		[TestMethod]
		public void StockProductPersistenceTest()
		{
			StockProduct sp = new StockProduct();
			sp.Name = "some product";
			sp.QuantityPurchased = 3500;

			mgr.Save(sp);
            NAssessDbMgr.EndSession();
            StockProduct sp2 = NAssessDbMgr.Get<StockProduct>(sp.Id);
			Debug.Assert((object)sp != (object)sp2, "Test no good if they are the same object.");

			Assert.AreEqual(sp.Name, sp2.Name);
			Assert.AreEqual(sp.QuantityPurchased, sp2.QuantityPurchased);
		}
	}
}
