﻿using System;
using System.Diagnostics;
using System.Net.Mail;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using NAssess.Core.FollowUp;

namespace TestNAssess
{
	/// <summary>
	///This is a test class for NAssess.Core.FollowUp.StudyEventEmail and is intended
	///to contain all NAssess.Core.FollowUp.StudyEventEmail Unit Tests
	///</summary>
	[TestClass()]
	public class StudyEventEmailTest : TestBase
	{
		/// <summary>
		///A test case for From
		///</summary>
		[TestMethod()]
		public void StudyEventEmailPersistenceTest()
		{
			InvitationEmail email = new InvitationEmail();
			email.Body = "some body";
			email.Subject = "some subject";
			email.IsHtml = !email.IsHtml;
			email.From = new MailAddress("addr@here.com", "somebody");

			mgr.Save(email);
			NAssessDbMgr.EndSession();
			Email email2 = NAssessDbMgr.Get<InvitationEmail>(email.Id);
			Debug.Assert((object)email != (object)email2, "Same object invalidates test.");

			Assert.AreEqual(email.Body, email2.Body);
			Assert.AreEqual(email.Subject, email2.Subject);
			Assert.AreEqual(email.From, email2.From);
			Assert.AreEqual(email.IsHtml, email2.IsHtml);
		}
	}
}
