﻿using System;
using System.Collections.Generic;
using System.Xml;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using NerdBank.Tools;
using NAssess.Core.Reporting;

namespace TestNAssess
{
	/// <summary>
	///This is a test class for NAssess.Core.Reporting.ReportTemplate and is intended
	///to contain all NAssess.Core.Reporting.ReportTemplate Unit Tests
	///</summary>
	[TestClass()]
	public class ReportTemplateTest : TestBase
	{
		/// <summary>
		/// A test case for Xml
		/// </summary>
		[TestMethod()]
		[ExpectedException(typeof(ArgumentException))]
		public void XmlInvalidTest()
		{
			XmlDocument xml = new XmlDocument();
			xml.AppendChild(xml.CreateElement("badelement"));

			ReportTemplate target = new ReportTemplate(xml);
		}


		/// <summary>
		/// A test case for Xml
		/// </summary>
		[TestMethod()]
		public void XmlTest()
		{
			XmlDocument xml = new XmlDocument();
			xml.LoadXml(EmbeddedResources.LoadFileFromAssemblyWithNamespace("/Reporting/report.xml", TestBase.DefaultNamespace));
			
			ReportTemplate target = new ReportTemplate(xml);
			Assert.AreEqual(xml, target.Xml);
		}

		[TestMethod()]
		public void ReportTemplatePersistenceTest()
		{
			XmlDocument xml = new XmlDocument();
			xml.LoadXml(EmbeddedResources.LoadFileFromAssemblyWithNamespace("/Reporting/report.xml", TestBase.DefaultNamespace));

			ReportTemplate template = new ReportTemplate(xml);
			xml = template.Xml;

			mgr.Save(template);
			template = null;

            IList<ReportTemplate> list = NAssessDbMgr.GetList<ReportTemplate>();
			Assert.AreEqual(1, list.Count);
			template = (ReportTemplate)list[0];
			Assert.IsNotNull(template.Xml);
			Assert.AreEqual(xml.OuterXml, template.Xml.OuterXml);
		}
	}


}
