﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using NAssess.Core.Web;

namespace TestNAssess.Web
{
	/// <summary>
	///This is a test class for NAssess.Web.EvaluationArea and is intended
	///to contain all NAssess.Web.EvaluationArea Unit Tests
	///</summary>
	[TestClass()]
	public class EvaluationAreaTest : TestBase
	{
		EvaluationArea ea;

        [TestInitialize]
        public void Initialize()
		{
			ea = new EvaluationArea();
		}

		[TestMethod()]
		public void WebDirectUrlGoodFull()
		{
			ea.WebDirectUrl = "http://localhost/surveys/WebDirect.axd";
		}

		[TestMethod()]
		public void WebDirectUrlGoodAppPath()
		{
			ea.WebDirectUrl = "~/WebDirect.axd";
		}

		[ExpectedException(typeof(ArgumentException))]
		[TestMethod()]
		public void WebDirectUrlBad1()
		{
			ea.WebDirectUrl = "webdirect.axd";
		}

		[ExpectedException(typeof(ArgumentException))]
		[TestMethod()]
		public void WebDirectUrlBad2()
		{
			ea.WebDirectUrl = "/webdirect.axd";
		}

		[ExpectedException(typeof(ArgumentException))]
		[TestMethod()]
		public void WebDirectUrlBadNoExtension()
		{
			ea.WebDirectUrl = "http://localhost/surveys/WebDirect";
		}

		[ExpectedException(typeof(ArgumentException))]
		[TestMethod()]
		public void WebDirectUrlBadExtraSlash()
		{
			ea.WebDirectUrl = "http://localhost/surveys/WebDirect.axd/";
		}

		[TestMethod()]
		public void WebDirectUrlSetEmpty()
		{
			ea.WebDirectUrl = string.Empty;
		}

		[TestMethod()]
		public void WebDirectUrlSetNull()
		{
			ea.WebDirectUrl = null;
		}
	}


}
